# ExecuteAction Method

## Description

Executes an existing action. The action must be enabled.

## HTTP Request

`PUT https://api.skeddly.com/api/Actions/<id>/Execute`

## URL Parameters

### id

The ID of the action.

Type: `string`

Required: Yes

## Returns

An [ActionExecution](/data-types/actionexecution-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
PUT /api/Actions/a-00000001/Execute HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl -X PUT "https://api.skeddly.com/api/Actions/a-00000001/Execute"
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import skeddly
client = skeddly.Client()
execution = client.execute_action("a-12345678")
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "actionExecutionId": "ae-00000001",
    "status": "running",
    "startDate": "2016-06-01T12:00:00Z",
    "trigger": "user",
    "actionId": "a-00000001",
    "actionVersionId": "av-00000001",
    "actionType": "amazon-start-ec2-instance",
    "actionName": "Start My Instances",
    "timeZoneId": "UTC",
    "credentialId": "cred-00000001"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/actions/executeaction-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
